diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/hwmp-rtable.h ns-3.44/src/mesh/model/dot11s/hwmp-rtable.h
--- ns-3.43/src/mesh/model/dot11s/hwmp-rtable.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/hwmp-rtable.h	2025-03-09 16:55:49.635372000 -0700
@@ -21,9 +21,9 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Routing table for HWMP -- 802.11s routing protocol
+ * @brief Routing table for HWMP -- 802.11s routing protocol
  */
 class HwmpRtable : public Object
 {
@@ -44,25 +44,25 @@
         /**
          * Lookup result function
          *
-         * \param r the result address
-         * \param i the interface
-         * \param m the metric
-         * \param s the sequence number
-         * \param l the lifetime
+         * @param r the result address
+         * @param i the interface
+         * @param m the metric
+         * @param s the sequence number
+         * @param l the lifetime
          */
         LookupResult(Mac48Address r = Mac48Address::GetBroadcast(),
                      uint32_t i = INTERFACE_ANY,
                      uint32_t m = MAX_METRIC,
                      uint32_t s = 0,
-                     Time l = Seconds(0.0));
+                     Time l = Seconds(0));
         /**
-         * \returns True for valid route
+         * @returns True for valid route
          */
         bool IsValid() const;
         /**
          * Compare route lookup results, used by tests
-         * \param o the lookup result to compare
-         * \returns true if equal
+         * @param o the lookup result to compare
+         * @returns true if equal
          */
         bool operator==(const LookupResult& o) const;
     };
@@ -72,25 +72,25 @@
 
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     HwmpRtable();
     ~HwmpRtable() override;
     void DoDispose() override;
 
-    /// \name Add/delete paths
+    /// @name Add/delete paths
     ///@{
 
     /**
      * Add a reactive path
-     * \param destination the destination address
-     * \param retransmitter the retransmitter address
-     * \param interface the interface
-     * \param metric  the metric
-     * \param lifetime  the lifetime
-     * \param seqnum  the sequence number
+     * @param destination the destination address
+     * @param retransmitter the retransmitter address
+     * @param interface the interface
+     * @param metric  the metric
+     * @param lifetime  the lifetime
+     * @param seqnum  the sequence number
      */
     void AddReactivePath(Mac48Address destination,
                          Mac48Address retransmitter,
@@ -100,12 +100,12 @@
                          uint32_t seqnum);
     /**
      * Add a proactive path
-     * \param metric  the metric
-     * \param root the address of the root
-     * \param retransmitter the retransmitter address
-     * \param interface the interface
-     * \param lifetime  the lifetime
-     * \param seqnum  the sequence number
+     * @param metric  the metric
+     * @param root the address of the root
+     * @param retransmitter the retransmitter address
+     * @param interface the interface
+     * @param lifetime  the lifetime
+     * @param seqnum  the sequence number
      */
     void AddProactivePath(uint32_t metric,
                           Mac48Address root,
@@ -115,10 +115,10 @@
                           uint32_t seqnum);
     /**
      * Add a precursor
-     * \param destination the destination address
-     * \param precursorInterface the precursor interface
-     * \param precursorAddress the address of the precursor
-     * \param lifetime the lifetime
+     * @param destination the destination address
+     * @param precursorInterface the precursor interface
+     * @param precursorAddress the address of the precursor
+     * @param lifetime the lifetime
      */
     void AddPrecursor(Mac48Address destination,
                       uint32_t precursorInterface,
@@ -127,8 +127,8 @@
 
     /**
      * Get the precursors list
-     * \param destination the destination
-     * \return the precursors list
+     * @param destination the destination
+     * @return the precursors list
      */
     PrecursorList GetPrecursors(Mac48Address destination);
 
@@ -138,39 +138,39 @@
     void DeleteProactivePath();
     /**
      * Delete all the proactive paths from a given root
-     * \param root the address of the root
+     * @param root the address of the root
      */
     void DeleteProactivePath(Mac48Address root);
     /**
      * Delete the reactive paths toward a destination
-     * \param destination the destination
+     * @param destination the destination
      */
     void DeleteReactivePath(Mac48Address destination);
     ///@}
 
-    /// \name Lookup
+    /// @name Lookup
     ///@{
     /**
      * Lookup path to destination
-     * \param destination the destination
-     * \return The lookup result
+     * @param destination the destination
+     * @return The lookup result
      */
     LookupResult LookupReactive(Mac48Address destination);
     /**
      * Return all reactive paths, including expired
-     * \param destination the destination
-     * \return The lookup result
+     * @param destination the destination
+     * @return The lookup result
      */
     LookupResult LookupReactiveExpired(Mac48Address destination);
     /**
      * Find proactive path to tree root. Note that calling this method has side effect of deleting
      * expired proactive path
-     * \return The lookup result
+     * @return The lookup result
      */
     LookupResult LookupProactive();
     /**
      * Return all proactive paths, including expired
-     * \return The lookup result
+     * @return The lookup result
      */
     LookupResult LookupProactiveExpired();
     ///@}
@@ -178,8 +178,8 @@
     /**
      * When peer link with a given MAC-address fails - it returns list of unreachable destination
      * addresses
-     * \param peerAddress the peer address
-     * \returns the list of unreachable destinations
+     * @param peerAddress the peer address
+     * @returns the list of unreachable destinations
      */
     std::vector<HwmpProtocol::FailedDestination> GetUnreachableDestinations(
         Mac48Address peerAddress);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/hwmp-tag.cc ns-3.44/src/mesh/model/dot11s/hwmp-tag.cc
--- ns-3.43/src/mesh/model/dot11s/hwmp-tag.cc	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/hwmp-tag.cc	2025-03-09 16:55:49.635372000 -0700
@@ -77,8 +77,8 @@
 }
 
 /**
- * \brief Get the type ID.
- * \return the object TypeId
+ * @brief Get the type ID.
+ * @return the object TypeId
  */
 TypeId
 HwmpTag::GetTypeId()
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/hwmp-tag.h ns-3.44/src/mesh/model/dot11s/hwmp-tag.h
--- ns-3.43/src/mesh/model/dot11s/hwmp-tag.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/hwmp-tag.h	2025-03-09 16:55:49.635372000 -0700
@@ -20,9 +20,9 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Hwmp tag implements interaction between HWMP
+ * @brief Hwmp tag implements interaction between HWMP
  * protocol and MeshWifiMac
  *
  * Hwmp tag keeps the following:
@@ -43,50 +43,50 @@
     ~HwmpTag() override;
     /**
      * Set address
-     * \param retransmitter the MAC address of the retransmitter
+     * @param retransmitter the MAC address of the retransmitter
      */
     void SetAddress(Mac48Address retransmitter);
     /**
      * Get address from tag
-     * \return the MAC address
+     * @return the MAC address
      */
     Mac48Address GetAddress();
     /**
      * Set the TTL value
-     * \param ttl
+     * @param ttl
      */
     void SetTtl(uint8_t ttl);
     /**
      * Get the TTL value
-     * \returns the TTL
+     * @returns the TTL
      */
     uint8_t GetTtl() const;
     /**
      * Set the metric value
-     * \param metric the metric
+     * @param metric the metric
      */
     void SetMetric(uint32_t metric);
     /**
      * Get the metric value
-     * \returns the metric
+     * @returns the metric
      */
     uint32_t GetMetric() const;
     /**
      * Set sequence number
-     * \param seqno the sequence number
+     * @param seqno the sequence number
      */
     void SetSeqno(uint32_t seqno);
     /**
      * Get the sequence number
-     * \returns the sequence number
+     * @returns the sequence number
      */
     uint32_t GetSeqno() const;
     /// Decrement TTL
     void DecrementTtl();
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     TypeId GetInstanceTypeId() const override;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-beacon-timing.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-beacon-timing.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-beacon-timing.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-beacon-timing.h	2025-03-09 16:55:49.635372000 -0700
@@ -19,8 +19,8 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
- * \brief Information element describing one unit of beacon timing element
+ * @ingroup dot11s
+ * @brief Information element describing one unit of beacon timing element
  */
 class IeBeaconTimingUnit : public SimpleRefCount<IeBeaconTimingUnit>
 {
@@ -28,33 +28,33 @@
     IeBeaconTimingUnit();
     /**
      * Set AID value
-     * \param aid the AID
+     * @param aid the AID
      */
     void SetAid(uint8_t aid);
     /**
      * Set last beacon value
-     * \param lastBeacon the last beacon
+     * @param lastBeacon the last beacon
      */
     void SetLastBeacon(uint16_t lastBeacon);
     /**
      * Set beacon interval value
-     * \param beaconInterval the beacon interval
+     * @param beaconInterval the beacon interval
      */
     void SetBeaconInterval(uint16_t beaconInterval);
 
     /**
      * Get AID value
-     * \returns the AID
+     * @returns the AID
      */
     uint8_t GetAid() const;
     /**
      * Get last beacon value
-     * \returns the last beacon
+     * @returns the last beacon
      */
     uint16_t GetLastBeacon() const;
     /**
      * Get beacon interval
-     * \returns the beacon interval
+     * @returns the beacon interval
      */
     uint16_t GetBeaconInterval() const;
 
@@ -69,22 +69,22 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const IeBeaconTimingUnit& a, const IeBeaconTimingUnit& b);
 };
 
 /**
- * \ingroup dot11s
- * \brief See 7.3.2.89 of 802.11s draft 2.07
+ * @ingroup dot11s
+ * @brief See 7.3.2.89 of 802.11s draft 2.07
  */
 class IeBeaconTiming : public WifiInformationElement
 {
   public:
     /**
-     * \ingroup dot11s
+     * @ingroup dot11s
      * This type is a list of timing elements obtained from neighbours with their beacons:
      */
     typedef std::vector<Ptr<IeBeaconTimingUnit>> NeighboursTimingUnitsList;
@@ -93,21 +93,21 @@
     /**
      * This methods are needed for beacon collision
      * avoidance module:
-     * \returns the neighbor timing elements list
+     * @returns the neighbor timing elements list
      */
     NeighboursTimingUnitsList GetNeighboursTimingElementsList();
     /**
      * Add neighbors timing element unit
-     * \param aid the AID
-     * \param last_beacon the last beacon time
-     * \param beacon_interval the beacon interval
+     * @param aid the AID
+     * @param last_beacon the last beacon time
+     * @param beacon_interval the beacon interval
      */
     void AddNeighboursTimingElementUnit(uint16_t aid, Time last_beacon, Time beacon_interval);
     /**
      * Delete neighbors timing element unit
-     * \param aid the AID
-     * \param last_beacon the last beacon time
-     * \param beacon_interval the beacon interval
+     * @param aid the AID
+     * @param last_beacon the last beacon time
+     * @param beacon_interval the beacon interval
      */
     void DelNeighboursTimingElementUnit(uint16_t aid, Time last_beacon, Time beacon_interval);
     /// Clear timing element
@@ -123,8 +123,8 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \returns true if equal
+     * @param a lhs
+     * @returns true if equal
      */
     bool operator==(const WifiInformationElement& a) const override;
 
@@ -132,20 +132,20 @@
     // Converters:
     /**
      * Timestamp to U16 function
-     * \param x the timestamp
-     * \returns the U16
+     * @param x the timestamp
+     * @returns the U16
      */
     static uint16_t TimestampToU16(Time x);
     /**
      * Beacon interval to U16 function
-     * \param x the beacon interval
-     * \returns the U16
+     * @param x the beacon interval
+     * @returns the U16
      */
     static uint16_t BeaconIntervalToU16(Time x);
     /**
      * Aid to U8 function
-     * \param x the U16
-     * \returns the AID
+     * @param x the U16
+     * @returns the AID
      */
     static uint8_t AidToU8(uint16_t x);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-configuration.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-configuration.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-configuration.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-configuration.h	2025-03-09 16:55:49.635372000 -0700
@@ -55,7 +55,7 @@
 };
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  * A set of values indicating whether a mesh STA is a possible candidate
  * for mesh peering establishment (Section 8.4.2.100.8 of IEEE 802.11-2012)
  */
@@ -65,25 +65,25 @@
     Dot11sMeshCapability();
     /**
      * Size of the field in bytes when serialized
-     * \returns the serialized size in bytes
+     * @returns the serialized size in bytes
      */
     uint8_t GetSerializedSize() const;
     /**
      * Serialize to a buffer
-     * \param i the iterator of the buffer to serialize to
-     * \returns new value of the iterator
+     * @param i the iterator of the buffer to serialize to
+     * @returns new value of the iterator
      */
     Buffer::Iterator Serialize(Buffer::Iterator i) const;
     /**
      * Deserialize from a buffer
-     * \param i the iterator from which to deserialize
-     * \returns new value of the iterator
+     * @param i the iterator from which to deserialize
+     * @returns new value of the iterator
      */
     Buffer::Iterator Deserialize(Buffer::Iterator i);
     /**
      * The Mesh Capability is expressed in terms of 8 single bit fields.
      * This method returns the whole byte.
-     * \returns the Mesh Capability byte
+     * @returns the Mesh Capability byte
      */
     uint8_t GetUint8() const;
     bool acceptPeerLinks;    ///< accept peer links
@@ -95,24 +95,24 @@
     bool powerSaveLevel;     ///< power save level
     /**
      * This is a utility function to test if the bit at position n is true
-     * \param cap byte to test
-     * \param n bit number to mask
-     * \returns true if bit n is set in cap
+     * @param cap byte to test
+     * @param n bit number to mask
+     * @returns true if bit n is set in cap
      */
     bool Is(uint8_t cap, uint8_t n) const;
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const Dot11sMeshCapability& a, const Dot11sMeshCapability& b);
 };
 
 /**
- * \ingroup dot11s
- * \brief Describes Mesh Configuration Element
+ * @ingroup dot11s
+ * @brief Describes Mesh Configuration Element
  * see 7.3.2.86 of 802.11s draft 3.0
  */
 class IeConfiguration : public WifiInformationElement
@@ -121,39 +121,39 @@
     IeConfiguration();
     /**
      * Set routing value
-     * \param routingId the routing ID
+     * @param routingId the routing ID
      */
     void SetRouting(Dot11sPathSelectionProtocol routingId);
     /**
      * Set metric value
-     * \param metricId the path selection metric
+     * @param metricId the path selection metric
      */
     void SetMetric(Dot11sPathSelectionMetric metricId);
     /**
      * Is HWMP function
-     * \returns true if Active Path Selection Protocol Identifier field set
+     * @returns true if Active Path Selection Protocol Identifier field set
      *          to HWMP
      */
     bool IsHWMP();
     /**
      * Is airtime function
-     * \returns true if Active Path Selection Metric Identifier is set to
+     * @returns true if Active Path Selection Metric Identifier is set to
      *          airtime link metric
      */
     bool IsAirtime();
     /**
      * Set neighbor count
-     * \param neighbors the number of neighbors
+     * @param neighbors the number of neighbors
      */
     void SetNeighborCount(uint8_t neighbors);
     /**
      * Get neighbor count
-     * \returns the the neighbor count
+     * @returns the the neighbor count
      */
     uint8_t GetNeighborCount() const;
     /**
      * Mesh capability
-     * \returns the dot11s mesh capability
+     * @returns the dot11s mesh capability
      */
     const Dot11sMeshCapability& MeshCapability();
 
@@ -181,9 +181,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const IeConfiguration& a, const IeConfiguration& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-id.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-id.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-id.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-id.h	2025-03-09 16:55:49.639372000 -0700
@@ -20,7 +20,7 @@
 {
 
 /**
- * \brief a IEEE 802.11 Mesh ID element (Section 8.4.2.101 of IEEE 802.11-2012)
+ * @brief a IEEE 802.11 Mesh ID element (Section 8.4.2.101 of IEEE 802.11-2012)
  */
 class IeMeshId : public WifiInformationElement
 {
@@ -30,25 +30,25 @@
     /**
      * Constructor
      *
-     * \param s reference id
+     * @param s reference id
      */
     IeMeshId(std::string s);
 
     /**
      * Equality test
-     * \param o another IeMeshId
-     * \returns true if equal
+     * @param o another IeMeshId
+     * @returns true if equal
      */
     bool IsEqual(const IeMeshId& o) const;
     /**
      * Return true if broadcast (if first octet of Mesh ID is zero)
-     * \returns true if broadcast
+     * @returns true if broadcast
      */
     bool IsBroadcast() const;
     // uint32_t GetLength () const;
     /**
      * Peek the IeMeshId as a string value
-     * \returns the mesh ID as a string
+     * @returns the mesh ID as a string
      */
     char* PeekString() const;
 
@@ -64,19 +64,19 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b lhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b lhs
+     * @returns true if equal
      */
     friend bool operator==(const IeMeshId& a, const IeMeshId& b);
 };
 
 /**
- * \brief Stream insertion operator.
+ * @brief Stream insertion operator.
  *
- * \param [in] os The reference to the output stream.
- * \param [in] meshId The IeMeshId object.
- * \returns The reference to the output stream.
+ * @param [in] os The reference to the output stream.
+ * @param [in] meshId The IeMeshId object.
+ * @returns The reference to the output stream.
  */
 std::ostream& operator<<(std::ostream& os, const IeMeshId& meshId);
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-metric-report.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-metric-report.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-metric-report.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-metric-report.h	2025-03-09 16:55:49.639372000 -0700
@@ -19,7 +19,7 @@
 namespace dot11s
 {
 /**
- * \brief a IEEE 802.11s Mesh ID 7.3.2.88 of 802.11s draft 3.0
+ * @brief a IEEE 802.11s Mesh ID 7.3.2.88 of 802.11s draft 3.0
  *
  */
 class IeLinkMetricReport : public WifiInformationElement
@@ -29,17 +29,17 @@
     /**
      * Constructor
      *
-     * \param metric the metric
+     * @param metric the metric
      */
     IeLinkMetricReport(uint32_t metric);
     /**
      * Set metric value
-     * \param metric the metric
+     * @param metric the metric
      */
     void SetMetric(uint32_t metric);
     /**
      * Get metric value
-     * \returns the metric
+     * @returns the metric
      */
     uint32_t GetMetric() const;
 
@@ -55,25 +55,25 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b lhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b lhs
+     * @returns true if equal
      */
     friend bool operator==(const IeLinkMetricReport& a, const IeLinkMetricReport& b);
     /**
      * greater than operator
      *
-     * \param a lhs
-     * \param b lhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b lhs
+     * @returns true if equal
      */
     friend bool operator>(const IeLinkMetricReport& a, const IeLinkMetricReport& b);
     /**
      * less than operator
      *
-     * \param a lhs
-     * \param b lhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b lhs
+     * @returns true if equal
      */
     friend bool operator<(const IeLinkMetricReport& a, const IeLinkMetricReport& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-peering-protocol.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-peering-protocol.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-peering-protocol.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-peering-protocol.h	2025-03-09 16:55:49.639372000 -0700
@@ -17,9 +17,9 @@
 {
 
 /**
- * \ingroup dot11s
+ * @ingroup dot11s
  *
- * \brief Mesh Peering Protocol Identifier information element
+ * @brief Mesh Peering Protocol Identifier information element
  * Note that it does not permit to set any value besides zero
  * (corresponding to mesh peering management protocol)
  */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-peer-management.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-peer-management.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-peer-management.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-peer-management.h	2025-03-09 16:55:49.639372000 -0700
@@ -18,8 +18,8 @@
 {
 
 /**
- * \ingroup dot11s
- * \brief Codes used by 802.11s Peer Management Protocol
+ * @ingroup dot11s
+ * @brief Codes used by 802.11s Peer Management Protocol
  */
 enum PmpReasonCode
 {
@@ -51,56 +51,56 @@
 
     /**
      * Set peer open function
-     * \param localLinkId
+     * @param localLinkId
      */
     void SetPeerOpen(uint16_t localLinkId);
     /**
      * Set peer close function
-     * \param localLinkID the local link id
-     * \param peerLinkId the peer link id
-     * \param reasonCode the reason code
+     * @param localLinkID the local link id
+     * @param peerLinkId the peer link id
+     * @param reasonCode the reason code
      */
     void SetPeerClose(uint16_t localLinkID, uint16_t peerLinkId, PmpReasonCode reasonCode);
     /**
      * Set peer confirm function
-     * \param localLinkID the local link id
-     * \param peerLinkId the peer link id
+     * @param localLinkID the local link id
+     * @param peerLinkId the peer link id
      */
     void SetPeerConfirm(uint16_t localLinkID, uint16_t peerLinkId);
 
     /**
      * Get reason code function
-     * \returns the reason code
+     * @returns the reason code
      */
     PmpReasonCode GetReasonCode() const;
     /**
      * Get local link ID function
-     * \returns the local link id
+     * @returns the local link id
      */
     uint16_t GetLocalLinkId() const;
     /**
      * Get peer link ID function
-     * \returns the peer link ID
+     * @returns the peer link ID
      */
     uint16_t GetPeerLinkId() const;
     /**
      * Subtype is open function
-     * \returns true if open
+     * @returns true if open
      */
     bool SubtypeIsOpen() const;
     /**
      * Subtype is close function
-     * \returns true if closed
+     * @returns true if closed
      */
     bool SubtypeIsClose() const;
     /**
      * Subtype is confirm function
-     * \returns true if the subtype is confirm
+     * @returns true if the subtype is confirm
      */
     bool SubtypeIsConfirm() const;
     /**
      * Get subtype function
-     * \returns the subtype
+     * @returns the subtype
      */
     uint8_t GetSubtype() const;
 
@@ -126,9 +126,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const IePeerManagement& a, const IePeerManagement& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-perr.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-perr.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-perr.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-perr.h	2025-03-09 16:55:49.639372000 -0700
@@ -19,8 +19,8 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
- * \brief See 7.3.2.98 of 802.11s draft 2.07
+ * @ingroup dot11s
+ * @brief See 7.3.2.98 of 802.11s draft 2.07
  */
 class IePerr : public WifiInformationElement
 {
@@ -29,27 +29,27 @@
     ~IePerr() override;
     /**
      * Get number of destination function
-     * \returns the number of destinations
+     * @returns the number of destinations
      */
     uint8_t GetNumOfDest() const;
     /**
      * Add address unit function
-     * \param unit the address of the failed destination
+     * @param unit the address of the failed destination
      */
     void AddAddressUnit(HwmpProtocol::FailedDestination unit);
     /**
      * Is full function
-     * \returns true if full
+     * @returns true if full
      */
     bool IsFull() const;
     /**
      * Get address unit vector function
-     * \returns the list of failed destinations
+     * @returns the list of failed destinations
      */
     std::vector<HwmpProtocol::FailedDestination> GetAddressUnitVector() const;
     /**
      * Delete address unit function
-     * \param address the MAC address of the deleted unit
+     * @param address the MAC address of the deleted unit
      */
     void DeleteAddressUnit(Mac48Address address);
     /// Reset PERR
@@ -67,9 +67,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const IePerr& a, const IePerr& b);
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/mesh/model/dot11s/ie-dot11s-prep.h ns-3.44/src/mesh/model/dot11s/ie-dot11s-prep.h
--- ns-3.43/src/mesh/model/dot11s/ie-dot11s-prep.h	2024-10-09 16:41:10.052656400 -0700
+++ ns-3.44/src/mesh/model/dot11s/ie-dot11s-prep.h	2025-03-09 16:55:49.639372000 -0700
@@ -17,8 +17,8 @@
 namespace dot11s
 {
 /**
- * \ingroup dot11s
- * \brief See 7.3.2.97 of 802.11s draft 2.07
+ * @ingroup dot11s
+ * @brief See 7.3.2.97 of 802.11s draft 2.07
  */
 class IePrep : public WifiInformationElement
 {
@@ -27,93 +27,93 @@
     ~IePrep() override;
     /**
      * Set flags function
-     * \param flags the flags to set
+     * @param flags the flags to set
      */
     void SetFlags(uint8_t flags);
     /**
      * Set hop count function
-     * \param hopcount the hop count
+     * @param hopcount the hop count
      */
     void SetHopcount(uint8_t hopcount);
     /**
      * Set TTL function
-     * \param ttl the TTL
+     * @param ttl the TTL
      */
     void SetTtl(uint8_t ttl);
     /**
      * Set destination address function
-     * \param dest_address
+     * @param dest_address
      */
     void SetDestinationAddress(Mac48Address dest_address);
     /**
      * Set destination sequence number function
-     * \param dest_seq_number the destination sequence number
+     * @param dest_seq_number the destination sequence number
      */
     void SetDestinationSeqNumber(uint32_t dest_seq_number);
     /**
      * Set lifetime function
-     * \param lifetime the lifetime
+     * @param lifetime the lifetime
      */
     void SetLifetime(uint32_t lifetime);
     /**
      * Set metric function
-     * \param metric the metric to set
+     * @param metric the metric to set
      */
     void SetMetric(uint32_t metric);
     /**
      * Set originator address function
-     * \param originator_address the originator address
+     * @param originator_address the originator address
      */
     void SetOriginatorAddress(Mac48Address originator_address);
     /**
      * Set originator sequence number function
-     * \param originator_seq_number the originator sequence number
+     * @param originator_seq_number the originator sequence number
      */
     void SetOriginatorSeqNumber(uint32_t originator_seq_number);
 
     /**
      * Get flags function
-     * \returns the flags
+     * @returns the flags
      */
     uint8_t GetFlags() const;
     /**
      * Get hop count function
-     * \returns the hop count
+     * @returns the hop count
      */
     uint8_t GetHopcount() const;
     /**
      * Get TTL function
-     * \returns the TTL
+     * @returns the TTL
      */
     uint32_t GetTtl() const;
     /**
      * Get destination address function
-     * \returns the destination MAC address
+     * @returns the destination MAC address
      */
     Mac48Address GetDestinationAddress() const;
     /**
      * Get destination sequence number function
-     * \returns the destination sequence number
+     * @returns the destination sequence number
      */
     uint32_t GetDestinationSeqNumber() const;
     /**
      * Get lifetime function
-     * \returns the lifetime
+     * @returns the lifetime
      */
     uint32_t GetLifetime() const;
     /**
      * Get metric function
-     * \returns the metric
+     * @returns the metric
      */
     uint32_t GetMetric() const;
     /**
      * Get originator address function
-     * \returns the MAC address of the originator
+     * @returns the MAC address of the originator
      */
     Mac48Address GetOriginatorAddress() const;
     /**
      * Get originator sequence number
-     * \returns the originator sequence number
+     * @returns the originator sequence number
      */
     uint32_t GetOriginatorSeqNumber() const;
 
@@ -121,7 +121,7 @@
     void DecrementTtl();
     /**
      * Increment metric function
-     * \param metric the metric to increment
+     * @param metric the metric to increment
      */
     void IncrementMetric(uint32_t metric);
 
@@ -145,9 +145,9 @@
     /**
      * equality operator
      *
-     * \param a lhs
-     * \param b rhs
-     * \returns true if equal
+     * @param a lhs
+     * @param b rhs
+     * @returns true if equal
      */
     friend bool operator==(const IePrep& a, const IePrep& b);
 };
